// LoopPaint applet for LoopPaint lab
// This generates the applet that runs within the lab description

// Since this should contain the answers, the distributed copy
// has uninteresting methods

// (c) J. Dean Brock, Rebecca F. Bruce, 2001, 2003, 2004
// Department of Computer Science
// University of North Carolina at Asheville

package edu.unca.cs.csci201.LabAids;

import java.awt.Color ;

/**
 * Applet for LoopPaint
 */
public class LoopPaintAppl extends javax.swing.JApplet {
    
    edu.unca.cs.csci201.LabAids.PanelLoopPaint testWindow ;
    
    /**
     * Applet initialization route
     */
    public void init() {
        try {
            java.awt.EventQueue.invokeAndWait(new Runnable() {
                public void run() {
                    initComponents();
                }
            });
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
    
    private void initComponents() {
        testWindow = new edu.unca.cs.csci201.LabAids.PanelLoopPaint(750, 500) ;
        getContentPane().add(testWindow) ;
        testWindow.addPainter(new MyClass1(), "Function 1") ;
        testWindow.addPainter(new MyClass2(), "Function 2") ;
        testWindow.addPainter(new MyClass3(), "Function 3") ;
        testWindow.addPainter(new MyClass4(), "Function 4") ;
        testWindow.addPainter(new MyClass5(), "Function 5") ;
    }

    static class MyClass1 implements SpecLoopPaint {
        
        public int  size() { return 100 ; }
        
        public void TestFunc(Switcher P) {
            P.TurnOn(15) ;
            P.TurnOn(23) ;
            P.TurnOn(87) ;
            P.TurnOn(93) ;
        }
    }

    static class MyClass2 implements SpecLoopPaint {

        public int size()  { return 15*17 ; }
        
        public void TestFunc(Switcher P) {
            for (int i=0; i<15*17; i += 7)
                P.TurnOn(i) ;
        }
    }
    
    static class MyClass3 implements SpecLoopPaint {
        
        public int  size() { return 100 ; }
        
        public void TestFunc(Switcher P) {
            P.TurnOn(17) ;
        }
    }


    static class MyClass4 implements SpecLoopPaint {
        
        public int  size() { return 300 ; }
        
        public void TestFunc(Switcher P) {
            P.TurnOn(4) ;
            P.TurnOn(396) ;
        }
    }
    
    static class MyClass5 implements SpecLoopPaint {
        
        public int  size() { return 300 ; }
        
        public void TestFunc(Switcher P) {
            P.TurnOn(201) ;
        }
    }
    
}
