// Painter interface for the painter MUX

// (c) J. Dean Brock, 2004
// Department of Computer Science
// University of North Carolina at Asheville

package edu.unca.cs.LabAids;

/**
 * Interface for the Painter Mux
 */
public interface Painter {
    /**
     * Method to paint a canvas
     * @param g Graphics object for painting
     * @param canvas Canvas (component) to be painted
     */
    public void paintCanvas(java.awt.Graphics g, javax.swing.JComponent canvas) ;
}

