// Switcher interface for LoopPaint lab
// (c) J. Dean Brock, Rebecca F. Bruce, 2001, 2004
// Department of Computer Science
// University of North Carolina at Asheville

package edu.unca.cs.csci201.LabAids;

/**
 * Interface students use in LoopPaint lab to turn on
 * tiles in their loops.
 */
public interface Switcher {
    /**
     * Turn on a tile
     * @param t Tile to turn on.
     */
    public void TurnOn(int t) ;
}


